Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Contact.ExtraAuthReqFields

    java.lang.Object
      java.lang.Enum<Contact.ExtraAuthReqFields>
          com.skype.api.Contact.ExtraAuthReqFields

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Contact.ExtraAuthReqFields>

Enclosing class:
  Contact

    public static enum Contact.ExtraAuthReqFields

extends java.lang.Enum<Contact.ExtraAuthReqFields>
implements EnumConverting

Enum Constant Summary
`SEND_VERIFIED_COMPANY` send verified company blob with this auth request
`SEND_VERIFIED_EMAIL` send verified e-mail blob with this auth request

Field Summary
`static int` | `SEND_VERIFIED_COMPANY_VALUE`
`static int` | `SEND_VERIFIED_EMAIL_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Contact.ExtraAuthReqFields` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Contact.ExtraAuthReqFields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Contact.ExtraAuthReqFields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SEND_VERIFIED_EMAIL

    public static final Contact.ExtraAuthReqFields SEND_VERIFIED_EMAIL

  send verified e-mail blob with this auth request

### SEND_VERIFIED_COMPANY

    public static final Contact.ExtraAuthReqFields SEND_VERIFIED_COMPANY

  send verified company blob with this auth request

Field Detail

### SEND_VERIFIED_EMAIL_VALUE

    public static final int SEND_VERIFIED_EMAIL_VALUE

See Also:
  Constant Field Values

### SEND_VERIFIED_COMPANY_VALUE

    public static final int SEND_VERIFIED_COMPANY_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Contact.ExtraAuthReqFields[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Contact.ExtraAuthReqFields c : Contact.ExtraAuthReqFields.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Contact.ExtraAuthReqFields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Contact.ExtraAuthReqFields get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.